> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loyalty.dog/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Scanner Information

> Updates the specified scanner with new data.

### Parameters:
- `scannerId` (str): The unique identifier of the scanner to update.
- `data` (UpdatePassScannerPayload): The data to update the scanner with.

### Returns:
- `dict`: The updated scanner data.



## OpenAPI

````yaml https://api.loyalty.dog/openapi.json put /v2/scanners/{scannerId}
openapi: 3.1.0
info:
  title: LoyaltyDog
  description: >-

    Welcome to the LoyaltyDog API! This API provides access to our loyalty
    program features, allowing you to integrate with various platforms and
    manage your loyalty data.


    Want to query LoyaltyDog via an AI assistant (Claude, Cursor, Windsurf)? See
    the [MCP Integration guide](https://loyaltydog.ai/playground#mcp).
        
  termsOfService: https://loyalty.dog/loyalty-program-terms-service
  contact:
    name: LoyaltyDog Support
    url: https://loyalty.dog/contact-us
    email: support@loyalty.dog
  version: 1.0.1
servers:
  - url: https://api.loyalty.dog
    description: Production
security:
  - bearerAuth: []
paths:
  /v2/scanners/{scannerId}:
    put:
      tags:
        - Scanners
      summary: Update Scanner Information
      description: >-
        Updates the specified scanner with new data.


        ### Parameters:

        - `scannerId` (str): The unique identifier of the scanner to update.

        - `data` (UpdatePassScannerPayload): The data to update the scanner
        with.


        ### Returns:

        - `dict`: The updated scanner data.
      operationId: update_scanner_information_v2_scanners__scannerId__put
      parameters:
        - name: scannerId
          in: path
          required: true
          schema:
            anyOf:
              - $ref: '#/components/schemas/PydanticObjectId'
              - type: string
            title: Scannerid
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePassScannerPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    UpdatePassScannerPayload:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        type:
          anyOf:
            - $ref: '#/components/schemas/PassScannerType'
            - type: 'null'
        fullAccess:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Fullaccess
        pin:
          anyOf:
            - type: string
            - type: 'null'
          title: Pin
        allowedTemplates:
          anyOf:
            - items:
                $ref: '#/components/schemas/PydanticObjectId'
              type: array
            - type: 'null'
          title: Allowedtemplates
      type: object
      title: UpdatePassScannerPayload
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PassScannerType:
      type: string
      enum:
        - Browser
        - PassVerifier
        - CodeReadr
        - None
      title: PassScannerType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT access token obtained from POST /v2/token.

````